Moves a folder
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/folders/{folderId}/move/{newParentFolderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/folders/{folderId}/move/{newParentFolderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-03/folders/{folderId}/move/{newParentFolderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}List Management
Moves a folder
This moves the folder from its current location to a new location. It updates the parent of this folder to the new Id given.
PUT
/
crm
/
lists
/
2026-03
/
folders
/
{folderId}
/
move
/
{newParentFolderId}
Moves a folder
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the folder to move
The ID for the target parent folder.
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I